> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Run Coverage

> Trigger an asynchronous coverage evaluation run.



## OpenAPI

````yaml /openapi-v1.json post /api/v1/coverage/run
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/coverage/run:
    post:
      tags:
        - Coverage
      summary: Run Coverage
      description: Trigger an asynchronous coverage evaluation run.
      operationId: core_api_v1_controllers_coverage_run_coverage
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CoverageRunIn'
        required: true
      responses:
        '202':
          description: Accepted
          content:
            application/json:
              schema:
                additionalProperties: true
                title: Response
                type: object
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    CoverageRunIn:
      properties:
        referential_id:
          title: Referential Id
          type: string
        top_k:
          default: 5
          title: Top K
          type: integer
      required:
        - referential_id
      title: CoverageRunIn
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````